| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
7.2::
LR
LR.parser

Classes
kernel
state_queue
Methods
add_rule()
cast()
cast_to_string()
compile()
item_to_string()
parse()
rule_to_string()
set_associativity()
set_priority()
set_symbol_to_string()
state_to_string()

LR.parser()->state_queue()->push() | LR.parser()->cast()

# Method LR.parser()->add_rule()

Method add_rule

  `void add_rule(rule r)`

Description

  Add a rule to the grammar.

Parameter `r`

  Rule to add.